﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Drawing;

namespace howto_draw_equations
{
    abstract class Equation
    {
        // The font size used by this equation.
        public float FontSize = 20;

        // Set font sizes for sub-equations.
        public abstract void SetFontSizes(float font_size);

        // Return the equation's size.
        public abstract SizeF GetSize(Graphics gr, Font font);

        // Draw the equation.
        public abstract void Draw(Graphics gr, Font font, Pen pen, Brush brush, float x, float y);
    }
}
